Bug 983609 - no hardened build
no hardened build
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: acpid (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jaroslav Škarvada
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-11 10:35 EDT by Harald Reindl
Modified: 2013-08-23 20:05 EDT (History)
2 users (show)

See Also:
Fixed In Version: acpid-2.0.19-5.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-23 19:58:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Harald Reindl 2013-07-11 10:35:49 EDT
checksec:
acpid    771 Partial RELRO     Canary found           NX enabled    No PIE

no "FULL RELRO" and no PIE

______________________________________

If your package meets any of the following criteria you MUST enable the PIE compiler flags:

    Your package is long running. This means it's likely to be started and keep running until the machine is rebooted, not start on demand and quit on idle. 

    Your package has suid binaries, or binaries with capabilities. 

    Your package runs as root. 

If your package meets the following criteria you should consider enabling the PIE compiler flags:

    Your package accepts/processes untrusted input.
Comment 1 Fedora Update System 2013-08-12 08:41:53 EDT
acpid-2.0.19-5.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/acpid-2.0.19-5.fc19
Comment 2 Fedora Update System 2013-08-12 08:52:10 EDT
acpid-2.0.19-5.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/acpid-2.0.19-5.fc18
Comment 3 Fedora Update System 2013-08-14 22:51:51 EDT
Package acpid-2.0.19-5.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing acpid-2.0.19-5.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-14758/acpid-2.0.19-5.fc19
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-08-23 19:58:11 EDT
acpid-2.0.19-5.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2013-08-23 20:05:49 EDT
acpid-2.0.19-5.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.